Ubuntu

Un article de Bulles.

Ca y est, j'ai fais le pas...

Ubuntu est devenue ma distribution préférée pour mes postes de travail.

Après avoir converti 2 laptops de Debian Sarge à Ubuntu 6.06 LTS (Dapper Drake -- Canard Pimpant), je suis passé progressivement à Ubuntu sur l'ensemble de mes postes de travail...

Historique:

  • Novembre 2006: Quelques mises à jour pour Ubuntu 6.10 (Edgy Eft -- Salamandre Énervée)
  • Mars 2007: Notes pour le Laptop Dell D620
  • Avril 2007: Ubuntu 7.04 (The Feisty Fawn -- Le Faon Courageux) est là!
  • Octobre 2007: Unbuntu 7.10 (The Gutsy Gibbon, le gibbon fougueux)


Sommaire

Premières Impressions

J'ai été plutôt conquis par l'ensemble, tout ce qui m'a donné mal de tête dans Sarge fonctionne un peu magiquement: pas de problème avec les cartes son, video et wireless, support correct de l'ACPI sur mon Dell, gestion du passage de l'écran intégré à un écran externe, intégration correcte de Firefox/Thunderbird, support de ma webcam à 3 francs six sous, ... -- bref, que du bonheur...

Installation

L'installation de Gutsy Gibbon ne pose pas de problème particulier.

A noter qu'on ne peux mettre à jour qu'a partir de Feisty Fawn; si on est toujours en Ubuntu 6.06 LTS il faudra ré-installer. Ce n'est pas en problème en soi, surtout si /home est sur une partition séparée, la réinstallation se fait en 2 coups de cuillère à pot.

Post-Install

Ajout de Universe/Multiverse

System -> Administration -> Software properties

Ajout de Universe/Multiverse pour pour la base, les mises-à-jour et les mises-à-jour de sécurité
On ne sélectionne pas les backports

Ajout les paquets de Medibuntu (ex-PLF)

## Medibuntu - Ubuntu 7.10 "gutsy gibbon"
## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://packages.medibuntu.org/ gutsy free non-free
#deb-src http://packages.medibuntu.org/ gutsy free non-free

Ou encore plus simple (Feisty Fawn):

sudo wget http://www.medibuntu.org/sources.list.d/gutsy.list -O /etc/apt/sources.list.d/medibuntu.list

Et import de la clé GPG

wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add -

Note au sujet de PLF: http://blog.racoon97.net/index.php?2006/12/11/70-les-plf-sont-morts-vive-medibuntu

Audio / Video / Codecs / Flash

Voir http://doc.ubuntu-fr.org/applications/formats_non-libres et aussi https://wiki.ubuntu.com/RestrictedFormats

w32codecs libdvdcss2 xmms-wma   (PLF)
gstreamer0.10-ffmpeg gstreamer0.10-gl gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-pitfdll
totem-xine gxine libxine-extracodecs
flashplugin-nonfree
ffmpeg
vlc
xmms

Pour la WebCam

camorama motion

Java

Utilisation du SunJava disponible dans Multiverse http://doc.ubuntu-fr.org/java et https://wiki.ubuntu.com/Java

sun-java5-bin sun-java5-plugin sun-java5-fonts 

Depuis Edgy Eft, Java 1.6 est intégré:

sun-java6-bin sun-java6-jre

Mail

Je préfère utiliser Thunderbird, na!

mozilla-thunderbird mozilla-thunderbird-enigmail

Quelques fontes

http://doc.ubuntu-fr.org/installation/polices_de_caracteres_microsoft et https://wiki.ubuntu.com/FontInstallHowto

msttcorefonts ttf-xfree86-nonfree

Messagerie instantannée et Téléphonie IP

Pour la messagerie, je continue de préférer PSI à Gaim qui est installé par défaut!

psi qca-tls

Skype est disponnible chez PLF et fonctionne plus ou moins bien (les problèmes habituels d'accès au device son).
Skype a finallement sorti une version Linux qui supporte ALSA ainsi que la sonnerie sur un autre device. Même si cette version est bien en retard par rapport aux versions Windows, cela a l'air de mieux fonctionner... ( https://wiki.ubuntu.com/Skype )

skype

Ekiga (Ex-GnomeMeeting) fonctionne sans problème, y compris avec une webcam bon-marché et communique parfaitement avec des téléphones IP.

Lecteur de cartes d'identité

Le populaire ACR38U est supporté sans problème sous Feisty Fawn:

libacr38u libacr38ucontrol0
beid-tools pcscd libpcsclite-dev
beidgui

Ajouter dans /etc/beidbase.conf, juste avant reader_driver

# specify driver family pcsc.
reader_drivers = pcsc;

Liens:

Locales additionelles

Même si je préfère l'interface anglais, j'aime bien avoir les dictionnaires en ligne pour OO.org, Firefox, Thunderbird, ...

language-support-fr language-pack-fr 
language-support-nl language-pack-nl  myspell-dictionary-nl

De manière plus simple, le support des langues additionnelles semble fonctionner à merveille sous Feisty Fawn (Menu System / Administration / Language Support)

Paquets divers

  • le serveur SSH n'est pas installé par défaut: openssh-server

Partitions Windows

Les partitions FAT et NTFS sont reconnues et montées au démarrage.
Je ne suis pas très fan d'avoir mes partitions Windows vérifiées et modifiées par fsck, j'ai enlevé le check (dernier champs dans /etc/fstab) et monté les partitions en R/O...

Problèmes et bizarreries

Laptop Dell D620

Le serveur X ne reconnait pas la carte graphique sous Edgy Eft, mais tout fonctionne sous Feisty Fawn!

Il faut installer le paquet 915resolution (de Multiverse) pour pouvoir sélectionner la résolution 1440x900

Liens:

Audio USB via un Hub

Nécessite l'option kernel xxx qui n'est pas sélectionnée dans le noyeau Ubuntu.
(pas revérifié sous Edgy Eft)

Résolution d'écran

La configuration X limite la résolution à 1024x768, alors que le chipset du Dell X300 suporte 1280x1024 (uniquement sur l'écran externe). Une petit édition du fichier de config résoud ce problème rapidement!

lm-sensors

Voir https://launchpad.net/distros/ubuntu/+source/lm-sensors/+bug/54546 et http://bugzilla.kernel.org/show_bug.cgi?id=6449

Les liens intéressants

Pour mémoire

Edgy Eft

L'installation sous Edgy Eft se passe plutôt bien.

Quelques petits soucis à mentionner:

  • Edgy Eft utilisaemaintenant les UUID pour identifier les filesystems, ce qui m'a donné mal au crane lors d'un upgrade, ayant 2 filesystems avec le même UUID (suite à une copie)
  • Le partitionement manuel peux poser certains soucis...
    Lire cet article.

Dapper Drake

Noyeau

Dans Edgy Eft, seul un noyeau générique est disponible. Sous Dapper Drake il est possible d'installer un noyeau adapté...
Le paquet à sélectionner est: linux-xxx (686, k7, ...)

Dans Edgy Eft, il n'y a plus de noyeau adapté...

Plugin Acrobat Reader pour Firefox

Ne fonctionne pas

Semble résolu sous Edgy Eft!